package com.yunzhupaas.bsc.service;

import com.yunzhupaas.bsc.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.bsc.model.projecttype.*;
import java.util.*;

/**
 * 项目分类
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-19
 */
public interface ProjectTypeService extends SuperService<ProjectTypeEntity> {
    List<ProjectTypeEntity> getList(ProjectTypePagination projectTypePagination);

    List<ProjectTypeEntity> getTypeList(ProjectTypePagination projectTypePagination,String dataType);

    ProjectTypeEntity getInfo(String projecttypeid);

    void delete(ProjectTypeEntity entity);

    void create(ProjectTypeEntity entity);

    boolean update(String projecttypeid, ProjectTypeEntity entity);

	String checkForm(ProjectTypeForm form,int i);

    void saveOrUpdate(ProjectTypeForm projectTypeForm,String id, boolean isSave) throws Exception;
    List<Map<String, Object>>  getTreeList();
}
